
import AddressList from "@/components/AddressList"
import InfiniteScroll from "@/components/infiniteScroll"
import { Button, Canvas, ScrollView, Text, View } from "@tarojs/components"
import Taro, { useReady } from "@tarojs/taro"
import { useEffect, useState } from "react"
import {creditListApi} from "@/api/creditLine"
import "./index.scss"

export default ()=>{
  useEffect(()=>{
    getData();
  }, [])
  const {fetchData, state} = creditListApi();
  const data = Array.from({length: 10});
  const getData = async ()=>{
    fetchData();
  }
  // 刷新
  const [refreshData, setRefreshData] = useState({
    refreshStatus: false,
    moreStatus: false
  })
  const handleRefresh = async ()=>{
    setRefreshData({
      ...refreshData,
      refreshStatus: true
    })
    

    setTimeout(()=>{
      setRefreshData({
        ...refreshData,
        moreStatus: false
      })
    }, 3000)
  }
  const handleMoreLoad = async ()=>{
    setRefreshData({
      ...refreshData,
      moreStatus: true
    })

    setTimeout(()=>{
      setRefreshData({
        ...refreshData,
        refreshStatus: false
      })
    },3000)
  }

  return (
    <View className="credit-used">
      <InfiniteScroll refresherEnabled={true} refresherTriggered={refreshData.refreshStatus} moreStatus={refreshData.moreStatus} selfOnRefresherRefresh={handleRefresh} selfonScrollToLower={handleMoreLoad}>
        {
          data.map((item,index)=>{
            return (
              <View key={index} className="credit-used-list">
                <View className="credit-used-list-top">
                  <View className="credit-used-list-type">下单</View>
                  <View className={`credit-used-list-price ${index%2==0?'green':'red'}`}>-999,999.00</View>
                </View>
                <View className="credit-used-list-bottom">
                  <View className="credit-used-list-date">2022-04-24 16:10:11</View>
                  <View className="credit-used-list-orderno">订单号：LY2278204399678</View>
                </View>
              </View>
            )
          })
        }
        {/* {data.length>0&&<View className="credit-used-list"></View>} */}
        <View className="credit-used-list"></View>
      </InfiniteScroll>
    </View>
  )
}
